Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html2
Interface HTMLButtonElement

All Superinterfaces:
  Element, HTMLElement, Node

All Known Implementing Classes:
  JRexHTMLButtonElementImpl

public interface HTMLButtonElement
extends HTMLElement

Push button. See the BUTTON element definition in HTML 4.01.

See also the Document Object Model (DOM) Level 2 HTML Specification.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAccessKey()` A single character access key to give access to the form control.
`boolean` | `getDisabled()` The control is unavailable in this context.
`HTMLFormElement` | `getForm()` Returns the `FORM` element containing this control.
`String` | `getName()` Form control or object name when submitted with a form.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`String` | `getType()` The type of button (all lower case).
`String` | `getValue()` The current form control value.
`void` | `setAccessKey(String accessKey)` A single character access key to give access to the form control.
`void` | `setDisabled(boolean disabled)` The control is unavailable in this context.
`void` | `setName(String name)` Form control or object name when submitted with a form.
`void` | `setTabIndex(int tabIndex)` Index that represents the element's position in the tabbing order.
`void` | `setValue(String value)` The current form control value.

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getForm

    public HTMLFormElement getForm()

  Returns the `FORM` element containing this control. Returns `null` if this control is not within the context of a form.

### getAccessKey

    public String getAccessKey()

  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.01.

### setAccessKey

    public void setAccessKey(String accessKey)

  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.01.

### getDisabled

    public boolean getDisabled()

  The control is unavailable in this context. See the disabled attribute definition in HTML 4.01.

### setDisabled

    public void setDisabled(boolean disabled)

  The control is unavailable in this context. See the disabled attribute definition in HTML 4.01.

### getName

    public String getName()

  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.01.

### setName

    public void setName(String name)

  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.01.

### getTabIndex

    public int getTabIndex()

  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

### setTabIndex

    public void setTabIndex(int tabIndex)

  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

### getType

    public String getType()

  The type of button (all lower case). See the type attribute definition in HTML 4.01.

### getValue

    public String getValue()

  The current form control value. See the value attribute definition in HTML 4.01.

### setValue

    public void setValue(String value)

  The current form control value. See the value attribute definition in HTML 4.01.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.